Bug 1903164 - OpenShift YAML editor jumps to top every few seconds
Summary: OpenShift YAML editor jumps to top every few seconds
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1910066
TreeView+ depends on / blocked
 
Reported: 2020-12-01 14:24 UTC by harsharm
Modified: 2021-02-24 15:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: A bug in a dependency (see https://github.com/terser/terser/issues/407) resulted in the persistent unmounting and remounting of the YAML Editor component. Consequence: The YAML editor inside of the OpenShift web console jumps to the top of the YAML file every few seconds Fix: To work around the bug, the default parameter value was removed. Result: The YAML Editor behaves as expected.
Clone Of:
: 1910066 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:36:34 UTC
Target Upstream Version:


Attachments (Terms of Use)
closing and reconnecting web socket ss shared by the cu (259.24 KB, image/png)
2020-12-07 15:41 UTC, harsharm
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7609 0 None closed Bug 1903164: fix yaml editor from remounting 2021-02-04 13:24:30 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:37:05 UTC

Comment 3 Robb Hamilton 2020-12-04 16:06:22 UTC
Investigating.  Trying to determine reproducer.

Comment 4 Yadan Pei 2020-12-07 03:26:21 UTC
on a 4.7 cluster
1. install etcd operator
2. view CSV yaml and scroll down, update some fields such as description in specDescriptors, keep YAML editor open and anchor at the update line
3. after several minutes, it will jump to the first line. in my trying it took several minutes to jump to the first line.

I'm not sure if this is the same issue with customer. but I remembered that the issue jumps to the first line seems happens on a earlier version easily, but on a newer version it's not jumping every few seconds

Comment 5 harsharm 2020-12-07 15:41:15 UTC
Created attachment 1737328 [details]
closing and reconnecting web socket ss shared by the cu

The Customer has confirmed that this is the same issue faced by them, they are on OCP Version 4.6.6, Customer suggested that they noticed the closing and reconnecting web socket so the problem seems to be caused by closing and opening web socket connections. I have attached the image shared by the cu.

Comment 9 Robb Hamilton 2020-12-11 14:15:09 UTC
This issue is very hard to debug as it appears to only occur in production builds.  We have some good suspects, but we've yet to find a fix.  We are continuing to investigate.

Comment 10 Robb Hamilton 2020-12-17 14:14:40 UTC
Continuing to investigate, but still not able to determine a root cause.

Comment 11 Robb Hamilton 2020-12-18 20:05:29 UTC
Christian Vogt was able to identify the source of the bug in a dependency of a dependency and identified a work around.  Will back port to 4.6 as soon as the fix lands in master/4.7.

Comment 14 Yanping Zhang 2021-01-05 07:24:27 UTC
Checked on 4.7 cluster with payload 4.7.0-0.nightly-2021-01-04-215816.
Install operator etcd in project, then go to the csv yaml tab, scroll down, edit in the yaml, wait for a few minutes, it doesn't jump to the top of the yaml now.
The bug is fixed.

Comment 16 errata-xmlrpc 2021-02-24 15:36:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.